Reverts a breaking commit: https://github.com/KDE/qca/commit/f223ce03d4b94ffbb093fc8be5adf8d968f54434

--- a/src/qca_systemstore_mac.cpp.orig	2019-04-24 20:58:14.000000000 +0800
+++ b/src/qca_systemstore_mac.cpp	2023-06-20 04:09:17.000000000 +0800
@@ -39,9 +39,10 @@
 	for(int n = 0; n < CFArrayGetCount(anchors); ++n)
 	{
 		SecCertificateRef cr = (SecCertificateRef)CFArrayGetValueAtIndex(anchors, n);
-		CFDataRef derRef = SecCertificateCopyData(cr);
-		QByteArray der((const char *)CFDataGetBytePtr(derRef), CFDataGetLength(derRef));
-		CFRelease(derRef);
+		CSSM_DATA cssm;
+		SecCertificateGetData(cr, &cssm);
+		QByteArray der(cssm.Length, 0);
+		memcpy(der.data(), cssm.Data, cssm.Length);
 
 		Certificate cert = Certificate::fromDER(der, 0, provider);
 		if(!cert.isNull())
